Bug 643148 - /etc/services needs pulseaudio 4713/tcp
/etc/services needs pulseaudio 4713/tcp
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-14 15:19 EDT by Frank Ch. Eigler
Modified: 2011-06-28 07:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 07:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2010-10-14 15:19:18 EDT
The default pulseaudio tcp-server port is 4713.  /etc/services should list it.
Comment 1 Ondrej Vasik 2010-10-14 15:58:08 EDT
According to http://www.iana.org/assignments/port-numbers is not registered in IANA. I think pulseaudio should formally request that assignment, otherwise this port is free and unassigned and anyone in future could take it. I could of course do an exception and add this into /etc/services separately, but I would prefer more formal way to prevent future port conflicts.
Comment 2 Frank Ch. Eigler 2010-10-14 16:25:30 EDT
Lennart, who would be in best position to get an IANA assignment?
Comment 3 Ondrej Vasik 2010-11-12 06:31:35 EST
Lennart, ping... could you please answer if you are going to request IANA port number assignment to prevent future conflicts?
Comment 4 Lennart Poettering 2010-11-21 20:32:13 EST
Hmm, I am not really sure if this is really necessary. Is this a burning issue? I mean, if somebody cares enough we can definitely requests an IANA assignment, but I personally don't really think this matters. After all the PA proto is used in very controlled environments only and never spoken on the internet.
Comment 5 Frank Ch. Eigler 2010-11-21 21:32:15 EST
Lennart, it's not burning, just believe it has some documentation
value to a user/sysadmin, and it would preclude the port number's future
reassignment to some other widget.

While the form at http://www.iana.org/cgi-bin/usr-port-number.pl
asks one to describe packet details for hypothetical future protocols,
I expect a URL or two to pulseaudio.org would suffice.
Comment 6 Ondrej Vasik 2010-11-22 01:32:38 EST
In fact there are already some entries (~4 commented) in /etc/services without IANA reservation, so I added 4713 entry for pulseaudio as well in rawhide setup. However, I would still suggest PA IANA assignment - just for the safety...
Closing RAWHIDE.
Comment 7 Lennart Poettering 2010-11-24 20:30:27 EST
I'll reopen this for now, so that one of those days I fill in the web form.
Comment 8 Ondrej Vasik 2010-11-25 01:02:02 EST
Maybe separate rawhide reminder bugzilla against pulseaudio would be better ;) - I don't see any reason why to keep the one against setup opened(as I already added this port to /etc/services with unreserved in IANA remark).
Comment 9 Bug Zapper 2011-05-31 07:19:29 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-28 07:35:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.